function [ newstr ] = remove_number_from_string( str )
% Odstrani z retezce str vsechny cisla a vrati retezec bz cisel.

id = 1;
newstr = '';

for i = 1:length(str)
    
    % Pokud na dane pozici v textu neni zadna z cislic
    if str(i)~='0' & str(i)~='1' & str(i)~='2' & str(i)~='3' & str(i)~='4' & str(i)~='5' & str(i)~='6' & str(i)~='7' & str(i)~='8' & str(i)~='9' 
        
        % ulozi znak do noveho retezce, ktery neobsahuje zadnou z vyse
        % uvedenych cislic.
        newstr(id) = str(i);
        % Pristi index zapisu se zvetsi o 1.
        id = id+1;
        
    end

end